Creates a new listing for a brand’s Treet shop. Product data can be pulled in directly from Shopify or manually entered. See productDataSourceType below for more info.
POST
/
v1
/
listings
cURL
curl --request POST \ --url https://api.treet-test.co/v1/listings \ --header 'Content-Type: application/json' \ --header 'X-Treet-Authentication-Key: <api-key>' \ --header 'X-Treet-Client-Id: <api-key>' \ --data '{ "shopId": "boyish", "condition": "GOOD", "productDataSourceType": "SHOPIFY_PRODUCT_VARIANT_ID", "productIdentifier": "gid://shopify/ProductVariant/36730646298791", "externalIdentifier": "SKU325-good", "description": "This item was used for sample sales. It has a loose thread on the bottom.", "metadata": { "locationId": "123456", "uniqueUnitIdentifier": "SKU325-good" }, "commercePlatformDomain": "shop.example.com", "images": [ { "url": "https://example.com/image1.jpg" }, { "url": "https://example.com/image2.jpg" } ]}'
import requests
url = "https://api.treet-test.co/v1/listings"
payload = {
"shopId": "boyish",
"condition": "GOOD",
"productDataSourceType": "SHOPIFY_PRODUCT_VARIANT_ID",
"productIdentifier": "gid://shopify/ProductVariant/36730646298791",
"externalIdentifier": "SKU325-good",
"description": "This item was used for sample sales. It has a loose thread on the bottom.",
"metadata": {
"locationId": "123456",
"uniqueUnitIdentifier": "SKU325-good"
},
"commercePlatformDomain": "shop.example.com",
"images": [{ "url": "https://example.com/image1.jpg" }, { "url": "https://example.com/image2.jpg" }]
}
headers = {
"X-Treet-Client-Id": "<api-key>",
"X-Treet-Authentication-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'X-Treet-Client-Id': '<api-key>',
'X-Treet-Authentication-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
shopId: 'boyish',
condition: 'GOOD',
productDataSourceType: 'SHOPIFY_PRODUCT_VARIANT_ID',
productIdentifier: 'gid://shopify/ProductVariant/36730646298791',
externalIdentifier: 'SKU325-good',
description: 'This item was used for sample sales. It has a loose thread on the bottom.',
metadata: {locationId: '123456', uniqueUnitIdentifier: 'SKU325-good'},
commercePlatformDomain: 'shop.example.com',
images: [
{url: 'https://example.com/image1.jpg'},
{url: 'https://example.com/image2.jpg'}
]
})
};
fetch('https://api.treet-test.co/v1/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
All information pertaining to a manually listed item for non-Shopify backed items. Title and category are required, and additional fields may be added that help identify the item.
*Required if productDataSourceType is MANUAL_PRODUCT_OPTIONS.
Unique identifier for the item that can be used to retrieve details about the item later. If this is not passed in, the unique ID that Treet creates must be used instead.
The individual item's brand or manufacturer. Optional — only needed when uploading to a Treet shop that supports multiple different item brands. When provided, this is used as the listing's brand.
Only enter this value to override the commerce platform for a shop.
For example, if the shop has more than one Shopify store, you will need to specify the domain of the Shopify store that you want to reference for this listing.
The item's original retail price, as a positive integer in the smallest unit of the shop's currency (for example, 12800 for $128.00).
*Required if productDataSourceType is MANUAL_PRODUCT_OPTIONS. For all other source types, this is optional and overrides the original price that Treet would evaluate from the product data.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Treet","colors":{"primary":"#437073","light":"#f6f2ec","dark":"#437073"},"favicon":"https://mintcdn.com/treet/6nnEchmZAD1QQ4hM/favicon.png?fit=max\u0026auto=format\u0026n=6nnEchmZAD1QQ4hM\u0026q=85\u0026s=53adcaad1c6ec74a8ebbd3dab06a898b","logo":{"light":"https://mintcdn.com/treet/6nnEchmZAD1QQ4hM/logo/light.png?fit=max\u0026auto=format\u0026n=6nnEchmZAD1QQ4hM\u0026q=85\u0026s=25d5bd33745d6eb8d57b0283e029864a","dark":"https://mintcdn.com/treet/6nnEchmZAD1QQ4hM/logo/dark.png?fit=max\u0026auto=format\u0026n=6nnEchmZAD1QQ4hM\u0026q=85\u0026s=575a92e22f199b16f36ba7ca8450a74c"},"navbar":{"links":[{"label":"Support","href":"mailto:support@treet.co"}],"primary":null},"footer":{"socials":{"facebook":"https://www.facebook.com/shoptreet","instagram":"https://www.instagram.com/treetshop/","linkedin":"https://www.linkedin.com/company/treetshop"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"treet","hasAudioNarration":false,"actualSubdomain":"treet","customDomains":["apidocs.treet.co"],"gitSource":{"type":"github","owner":"treetco","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae91ff366c39cbdc5f284f4:success","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Reference","count":8},{"language":"default","tag":"Documentation","count":5},{"language":"default","tag":"Listings API","count":4},{"language":"default","tag":"Webhooks","count":4},{"language":"default","tag":"Authentication","count":2},{"language":"default","tag":"Error Handling","count":2},{"language":"default","tag":"Webhooks Documentation","count":2},{"language":"default","tag":"Grade Items API","count":1},{"language":"default","tag":"API Documentation","count":1},{"language":"default","tag":"Product Feed API","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/listings/create","slug":"/api-reference/listings/create","pageMetadata":{"title":"Create Listing","openapi":"POST /v1/listings","description":"Creates a new listing for a brand's Treet shop. Product data can be pulled in directly from Shopify or manually entered. See `productDataSourceType` below for more info.","href":"/api-reference/listings/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Creates a new listing for a brand’s Treet shop. Product data can be pulled in directly from Shopify or manually entered. See \", _jsx(_components.code, {\n children: \"productDataSourceType\"\n }), \" below for more info.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Listing","openapi":"POST /v1/listings","description":"Creates a new listing for a brand's Treet shop. Product data can be pulled in directly from Shopify or manually entered. See `productDataSourceType` below for more info.","href":"/api-reference/listings/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Creates a new listing for a brand's Treet shop. Product data can be pulled in directly from Shopify or manually entered. See `productDataSourceType` below for more info.","requestBody":"0e131f99-62fb-4f87-a8a1-a57701fccb89","responses":{"200":"c2773894-1323-443d-8fbe-e7d81609b0e9","400":"e228cb07-1210-421e-b9a4-1639ab0859fc","403":"b8752297-7ff0-4b6a-b126-3ba30185bb7c","404":"5485c9f6-72f4-45fa-8f74-900cdeb2deea","500":"80daf724-b23c-441a-8783-b40ac6ac60e2"},"method":"post","type":"path","servers":["59ee553c-9a9b-4da9-83f9-db482d5d748f"],"security":["56c90f9e-fd6f-4bb4-a8fe-23bdc0a751b0"],"path":"/v1/listings","baseUrlOptions":["https://api.treet-test.co"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"description":"Listing to add to a brand's Treet shop","content":{"application/json":{"schema":{"required":["shopId","condition","productDataSourceType"],"type":"object","example":{"shopId":"boyish","condition":"GOOD","productDataSourceType":"SHOPIFY_PRODUCT_VARIANT_ID","productIdentifier":"gid://shopify/ProductVariant/36730646298791","externalIdentifier":"SKU325-good","description":"This item was used for sample sales. It has a loose thread on the bottom.","metadata":{"locationId":"123456","uniqueUnitIdentifier":"SKU325-good"},"commercePlatformDomain":"shop.example.com","images":[{"url":"https://example.com/image1.jpg"},{"url":"https://example.com/image2.jpg"}]},"properties":{"shopId":{"description":"Unique Treet shop identifier","type":"string","isRequired":true,"uniqueKey":"shopId","typeLabel":"string"},"condition":{"description":"Item’s condition","type":"string","enum":["NEW_WITH_TAGS","NEW_WITHOUT_TAGS","EXCELLENT","GOOD","MINOR_DEFECT"],"isRequired":true,"uniqueKey":"condition","typeLabel":"enum\u003cstring>"},"productDataSourceType":{"description":"Specifies the type of product data source. \n * For `SHOPIFY_SKU`, `SHOPIFY_PRODUCT_VARIANT_ID`, `EXTERNAL_PRODUCT_VARIANT_IDENTIFIER`, and `EXTERNAL_PRODUCT_VARIANT_SKU`, `productIdentifier` must be defined. \n * For `MANUAL_PRODUCT_OPTIONS`, `manualProductOptions` and `originalPrice` must be defined.","type":"string","enum":["SHOPIFY_SKU","SHOPIFY_PRODUCT_VARIANT_ID","MANUAL_PRODUCT_OPTIONS","EXTERNAL_PRODUCT_VARIANT_IDENTIFIER","EXTERNAL_PRODUCT_VARIANT_SKU"],"isRequired":true,"uniqueKey":"productDataSourceType","typeLabel":"enum\u003cstring>"},"productIdentifier":{"description":"Depending on the `productDataSourceType`, this is either the Shopify Product Variant ID or the Shopify SKU of the item. \n\n *Required if `productDataSourceType` is `SHOPIFY_SKU`, `SHOPIFY_PRODUCT_VARIANT_ID`, `EXTERNAL_PRODUCT_VARIANT_IDENTIFIER`, or `EXTERNAL_PRODUCT_VARIANT_SKU`","type":"string","uniqueKey":"productIdentifier","typeLabel":"string"},"manualProductOptions":{"description":"All information pertaining to a manually listed item for non-Shopify backed items. Title and category are required, and additional fields may be added that help identify the item.\n\n *Required if `productDataSourceType` is `MANUAL_PRODUCT_OPTIONS`.","type":"object","properties":{"title":{"type":"string","isRequired":true,"uniqueKey":"manualProductOptions.title","typeLabel":"string"},"categories":{"type":"array","items":{"type":"string","uniqueKey":"manualProductOptions.categories.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"manualProductOptions.categories","typeLabel":"string[]"}},"required":["title","categories"],"additionalProperties":{"type":"string","uniqueKey":"manualProductOptions.additionalProperties","typeLabel":"string"},"uniqueKey":"manualProductOptions","typeLabel":"object"},"externalIdentifier":{"description":"Unique identifier for the item that can be used to retrieve details about the item later. If this is not passed in, the unique ID that Treet creates must be used instead.","type":"string","uniqueKey":"externalIdentifier","typeLabel":"string"},"description":{"description":"Treet listing description shown publicly to Treet resale customers.","type":"string","uniqueKey":"description","typeLabel":"string"},"itemBrand":{"description":"The individual item's brand or manufacturer. Optional — only needed when uploading to a Treet shop that supports multiple different item brands. When provided, this is used as the listing's brand.","type":"string","uniqueKey":"itemBrand","typeLabel":"string"},"metadata":{"description":"When listing is purchased, this will be pushed to the Shopify Order as Shopify Custom Attributes to sync to the fulfillment mechanism. \n\n This object is limited to 3 properties and must be either a string or integer.","type":"object","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"metadata.additionalProperties.oneOf.1","typeLabel":"integer"}],"uniqueKey":"metadata.additionalProperties","typeLabel":"string | integer"},"example":{"locationId":"123456","uniqueUnitIdentifier":"SKU325-good"},"uniqueKey":"metadata","typeLabel":"object"},"commercePlatformDomain":{"description":"Only enter this value to override the commerce platform for a shop. \n\nFor example, if the shop has more than one Shopify store, you will need to specify the domain of the Shopify store that you want to reference for this listing.","type":"string","uniqueKey":"commercePlatformDomain","typeLabel":"string"},"images":{"description":"A list of images for this listing","minItems":1,"type":"array","items":{"type":"object","properties":{"url":{"type":"string","format":"uri","description":"Image URL","isRequired":true,"uniqueKey":"images.items.[INDEX].url","typeLabel":"string\u003curi>"},"notes":{"type":"string","description":"Internal notes or metadata for the image","uniqueKey":"images.items.[INDEX].notes","typeLabel":"string"}},"required":["url"],"uniqueKey":"images.items.[INDEX]","typeLabel":"object"},"uniqueKey":"images","typeLabel":"object[]"},"originalPrice":{"description":"The item's original retail price, as a positive integer in the smallest unit of the shop's currency (for example, `12800` for $128.00). \n\n *Required if `productDataSourceType` is `MANUAL_PRODUCT_OPTIONS`. For all other source types, this is optional and overrides the original price that Treet would evaluate from the product data.","type":"integer","minimum":1,"maximum":9999999,"example":12800,"uniqueKey":"originalPrice","typeLabel":"integer"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"shopId":"boyish","condition":"GOOD","productDataSourceType":"SHOPIFY_PRODUCT_VARIANT_ID","productIdentifier":"gid://shopify/ProductVariant/36730646298791","externalIdentifier":"SKU325-good","description":"This item was used for sample sales. It has a loose thread on the bottom.","metadata":{"locationId":"123456","uniqueUnitIdentifier":"SKU325-good"},"commercePlatformDomain":"shop.example.com","images":[{"url":"https://example.com/image1.jpg"},{"url":"https://example.com/image2.jpg"}]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"c2773894-1323-443d-8fbe-e7d81609b0e9":{"description":"listing response","content":{"application/json":{"schema":{"required":["id","url"],"type":"object","properties":{"id":{"description":"Unique Treet identifier","type":"string","example":"550e8400-e29b-41d4-a716-446655440000","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"url":{"description":"Listing link on Treet site","type":"string","example":"boyish.treet.co/l/550e8400-e29b-41d4-a716-446655440000","isRequired":true,"uniqueKey":"url","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"550e8400-e29b-41d4-a716-446655440000","url":"boyish.treet.co/l/550e8400-e29b-41d4-a716-446655440000"}}},"exampleType":"generated"}},"exampleType":"generated"},"e228cb07-1210-421e-b9a4-1639ab0859fc":{"description":"Bad Request","content":{"application/json":{"schema":{"required":["error"],"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b8752297-7ff0-4b6a-b126-3ba30185bb7c":{"description":"Forbidden","content":{"application/json":{"schema":{"required":["error"],"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"5485c9f6-72f4-45fa-8f74-900cdeb2deea":{"description":"Not Found","content":{"application/json":{"schema":{"required":["error"],"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"80daf724-b23c-441a-8783-b40ac6ac60e2":{"description":"Server Errors","content":{"application/json":{"schema":{"required":["error"],"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"56c90f9e-fd6f-4bb4-a8fe-23bdc0a751b0":{"ClientIdAuth":{"type":"apiKey","in":"header","name":"X-Treet-Client-Id","scopes":[]},"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Treet-Authentication-Key","scopes":[]}}},"servers":{"59ee553c-9a9b-4da9-83f9-db482d5d748f":{"url":"https://api.treet-test.co"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-Treet-Client-Id","scopes":[]},"schema":{"title":"X-Treet-Client-Id","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ClientIdAuth","name":"X-Treet-Client-Id"},{"scheme":{"type":"apiKey","in":"header","name":"X-Treet-Authentication-Key","scopes":[]},"schema":{"title":"X-Treet-Authentication-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-Treet-Authentication-Key"}],"title":"ClientIdAuth \u0026 ApiKeyAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"treet","siteName":"Treet","title":"Create Listing - Treet","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-11T23:21:47.887Z","originalFileLocation":"api-reference/listings/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a new listing for a brand\u0026#x27;s Treet shop. Product data can be pulled in directly from Shopify or manually entered. See productDataSourceType below for more info.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Treet\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Listing - Treet\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a new listing for a brand\u0026#x27;s Treet shop. Product data can be pulled in directly from Shopify or manually entered. See productDataSourceType below for more info.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Treet\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.treet.co/api-reference/listings/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://treet.mintlify.site/_mintlify/api/og/v2?division=Listings+API\u0026amp;title=Create+Listing\u0026amp;description=Creates+a+new+listing+for+a+brand%27s+Treet+shop.+Product+data+can+be+pulled+in+directly+from+Shopify+or+manually+entered.+See+%60productDataSourceType%60+below+for+m\u0026amp;theme=5e9bffd0c958303ccd15ea44\u0026amp;signature=a25d44a2ff3a15585c7fe3120d749de0d80c5c82d9982fa7e7ead96e2f35f673\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Listing - Treet\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a new listing for a brand\u0026#x27;s Treet shop. Product data can be pulled in directly from Shopify or manually entered. See productDataSourceType below for more info.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://treet.mintlify.site/_mintlify/api/og/v2?division=Listings+API\u0026amp;title=Create+Listing\u0026amp;description=Creates+a+new+listing+for+a+brand%27s+Treet+shop.+Product+data+can+be+pulled+in+directly+from+Shopify+or+manually+entered.+See+%60productDataSourceType%60+below+for+m\u0026amp;theme=5e9bffd0c958303ccd15ea44\u0026amp;signature=a25d44a2ff3a15585c7fe3120d749de0d80c5c82d9982fa7e7ead96e2f35f673\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/treet/17IAMWr1bvvPkw3y/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Treet\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#437073\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.treet.co/api-reference/listings/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/listings/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.treet.co/#organization\",\"name\":\"Treet\",\"url\":\"https://apidocs.treet.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/treet/6nnEchmZAD1QQ4hM/logo/light.png?fit=max\u0026auto=format\u0026n=6nnEchmZAD1QQ4hM\u0026q=85\u0026s=25d5bd33745d6eb8d57b0283e029864a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.treet.co#website\",\"name\":\"Treet\",\"url\":\"https://apidocs.treet.co\",\"publisher\":{\"@id\":\"https://apidocs.treet.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.treet.co/api-reference/listings/create#webpage\",\"url\":\"https://apidocs.treet.co/api-reference/listings/create\",\"name\":\"Create Listing\",\"description\":\"Creates a new listing for a brand's Treet shop. Product data can be pulled in directly from Shopify or manually entered. See productDataSourceType below for more info.\",\"dateModified\":\"2026-08-11T23:21:47.887Z\",\"isPartOf\":{\"@id\":\"https://apidocs.treet.co#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.treet.co/api-reference/listings/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.treet.co/api-reference/listings/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Treet\",\"item\":\"https://apidocs.treet.co\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Listing\",\"item\":\"https://apidocs.treet.co/api-reference/listings/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.treet.co/api-reference/listings/create#apireference\",\"headline\":\"Create Listing\",\"name\":\"Create Listing\",\"description\":\"Creates a new listing for a brand's Treet shop. Product data can be pulled in directly from Shopify or manually entered. See productDataSourceType below for more info.\",\"url\":\"https://apidocs.treet.co/api-reference/listings/create\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.treet.co/api-reference/listings/create#webpage\"},\"dateModified\":\"2026-08-11T23:21:47.887Z\",\"publisher\":{\"@id\":\"https://apidocs.treet.co/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.treet.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Treet\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Treet\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/listings/create.md","siteName":"Treet","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","description":"API endpoints","href":"/api-reference/introduction"}]},{"group":"Listings API","pages":[{"title":"Create Listing","openapi":"POST /v1/listings","href":"/api-reference/listings/create"},{"title":"Update Inventory","openapi":"PUT /v1/listings/{id}/inventory","description":"Updates the available inventory for a listing. Supports two actions: setting inventory to an exact value (`SET_INVENTORY`) or adjusting it by a delta (`ADJUST_INVENTORY`). If inventory reaches 0, the listing is automatically closed.","href":"/api-reference/listings/update-inventory"},{"title":"Get Listings","openapi":"GET /v1/listings","href":"/api-reference/listings/get"},{"title":"Get Listing","openapi":"GET /v1/listings/{id}","href":"/api-reference/listings/get-by-id"}]},{"group":"Product Feed API","pages":[{"title":"Get Product Feed ","openapi":"GET /product-feed","href":"/api-reference/product-feed/get"}]},{"group":"Shops API","pages":[{"title":"Get Shops","openapi":"GET /v1/shops","href":"/api-reference/shops/get"}]},{"group":"Grade Items API","pages":[{"title":"Grade Items","openapi":"POST /v1/items/grade","href":"/api-reference/grade-items/create"}]}]},{"tab":"Webhooks","pages":[{"title":"Webhooks","href":"/webhooks/introduction"}]}]},"basePath":"","title":"Create Listing - Treet","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}